package com.aimluck.eip.cayenne.om.portlet;

import org.apache.cayenne.ObjectId;

import com.aimluck.eip.cayenne.om.portlet.auto._ImwTJobOrder;

public class ImwTJobOrder extends _ImwTJobOrder {

  public static final String JOB_ORDER_ID_COLUMN = "JOB_ORDER_ID";
  public static final String CHARGE_NAME_COLUMN = "CHARGE_NAME";
  public static final String CLIENT_ID_COLUMN = "CLIENT_ID";
  public static final String COMPLETION_CLASS_COLUMN = "COMPLETION_CLASS";
  public static final String CREATE_DATE_COLUMN = "CREATE_DATE";
  public static final String CREATE_USER_ID_COLUMN = "CREATE_USER_ID";
  public static final String DISABLED_COLUMN = "DISABLED";
  public static final String HIYOKUBUN_COLUMN = "HIYOKUBUN";
  public static final String INSTALLMEN_CLASS_COLUMN = "INSTALLMEN_CLASS";
  public static final String JOB_ORDER_NAME_COLUMN = "JOB_ORDER_NAME";
  public static final String JOB_ORDER_NUMBER_COLUMN = "JOB_ORDER_NUMBER";
  public static final String JUCHUKUBUN_COLUMN = "JUCHUKUBUN";
  public static final String PERIOD_COLUMN = "PERIOD";
  public static final String PRICE_COLUMN = "PRICE";
  public static final String RECEIPT_DATE_COLUMN = "RECEIPT_DATE";
  public static final String RECEIPT_USER_ID_COLUMN = "RECEIPT_USER_ID";
  public static final String SYSTEM_CLASS1_COLUMN = "SYSTEM_CLASS1";
  public static final String SYSTEM_CLASS2_COLUMN = "SYSTEM_CLASS2";
  public static final String UPDATE_DATE_COLUMN = "UPDATE_DATE";
  public static final String UPDATE_USER_ID_COLUMN = "UPDATE_USER_ID";
  public static final String WORKER_USER_ID01_COLUMN = "WORKER_USER_ID01";
  public static final String WORKER_USER_ID02_COLUMN = "WORKER_USER_ID02";
  public static final String YOTEIKOSU_COLUMN = "YOTEIKOSU";

  public Integer getOrderId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(JOB_ORDER_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public Integer getJobOrderId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(JOB_ORDER_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }
  
  public void setJobOrderId(String id) {
    setObjectId(new ObjectId("ImwTJobOrder", JOB_ORDER_ID_PK_COLUMN, Integer
        .valueOf(id)));
  }

  public Integer getJuchuId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(JOB_ORDER_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setJuchuId(int id) {
    setObjectId(new ObjectId("ImwTJobOrder", JOB_ORDER_ID_PK_COLUMN, id));
  }
  
  public void setReceiptUserNm(String receiptUserNm) {
    writeProperty("receiptUserNm", receiptUserNm);
  }

  public String getReceiptUserNm() {
    return (String) readProperty("receiptUserNm");
  }

  public void setJuchukubunNm(String juchukubunNm) {
    writeProperty("juchukubunNm", juchukubunNm);
  }

  public String getJuchukubunNm() {
    return (String) readProperty("juchukubunNm");
  }

  public void setHiyokubunNm(String hiyokubunNm) {
    writeProperty("hiyokubunNm", hiyokubunNm);
  }

  public String getHiyokubunNm() {
    return (String) readProperty("hiyokubunNm");
  }

  public void setClientNm(String clientNm) {
    writeProperty("clientNm", clientNm);
  }
  public String getClientNm() {
    return (String)readProperty("clientNm");
  }
  
  public void setSystemClass1Nm(String systemClass1Nm) {
    writeProperty("systemClass1Nm", systemClass1Nm);
  }

  public String getSystemClass1Nm() {
    return (String) readProperty("systemClass1Nm");
  }

  public void setSystemClass2Nm(String systemClass2Nm) {
    writeProperty("systemClass2Nm", systemClass2Nm);
  }

  public String getSystemClass2Nm() {
    return (String) readProperty("systemClass2Nm");
  }
  
  public void setWorkerUserId01Nm(String workerUserId01Nm) {
    writeProperty("workerUserId01Nm", workerUserId01Nm);
  }

  public String getWorkerUserId01Nm() {
    return (String) readProperty("workerUserId01Nm");
  }

  public void setWorkerUserId02Nm(String workerUserId02Nm) {
    writeProperty("workerUserId02Nm", workerUserId02Nm);
  }

  public String getWorkerUserId02Nm() {
    return (String) readProperty("workerUserId02Nm");
  }

  public void setInstallmenClassNm(String installmenClassNm) {
    writeProperty("installmenClassNm", installmenClassNm);
  }

  public String getInstallmenClassNm() {
    return (String) readProperty("installmenClassNm");
  }

  public void setCompletionClassNm(String completionClassNm) {
    writeProperty("completionClassNm", completionClassNm);
  }

  public String getCompletionClassNm() {
    return (String) readProperty("completionClassNm");
  }
}
